summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Igor Alexandrov2020-03-20 18:33:24 +0100
committer Willy Sudiarto Raharjo2020-03-20 18:33:24 +0100
commitbfc6b0d478d555873ee085cb67d18305b09c7045 (patch)
treea871af2a72a1352aabd8236ae74e77f7189928ed /network
parent44dd4b5bc3bb458b2c3aa40f8508f4b7effd42e9 (diff)
downloadslackbuilds-bfc6b0d478d555873ee085cb67d18305b09c7045.tar.gz
network/pCloudDrive: Added (pCloud client and drive mounter).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/pCloudDrive/README42
-rw-r--r--network/pCloudDrive/doinst.sh10
-rw-r--r--network/pCloudDrive/pCloudDrive.SlackBuild82
-rw-r--r--network/pCloudDrive/pCloudDrive.info10
-rw-r--r--network/pCloudDrive/pclouddrive.desktop9
-rw-r--r--network/pCloudDrive/slack-desc19
6 files changed, 172 insertions, 0 deletions
diff --git a/network/pCloudDrive/README b/network/pCloudDrive/README
new file mode 100644
index 0000000000..d685f34354
--- /dev/null
+++ b/network/pCloudDrive/README
@@ -0,0 +1,42 @@
+pCloudDrive (pCloud client and drive mounter)
+
+pCloud Drive allows you to use your files in the cloud as if they are
+saved locally, but without taking hard disk space.
+
+pCloud is one of the most secure and easy-to-use cloud storage
+services. It's based in Switzerland giving the best level of privacy.
+Unlike Dropbox, pCloud gives 10 GB of free cloud storage.
+
+They have all the features you are familiar with like, download link sharing,
+folder sharing, giving special permissions to people you share with,
+setting passwords and expiration dates and even more.
+
+pCloud also put no restrictions on the uploading size so you can upload any type
+of file regardless of its size. There is no upload or download limit either,
+and you can enjoy very high speeds.
+
+Security is something for which pCloud is particularly famous. pCloud offers
+top-level cloud encryption with its Crypto service designed to secure the most
+sensitive information on any device of yours. All the data locked
+by pCloud Crypto can only be unlocked by the unique key which the account owner
+has, and no one else can even touch the secure data.
+
+pCloud features:
+ * File management tools available to search and filter the files and folders
+ * TLS/SSL encryption to securely transfer the data to pCloud servers
+ * Automatic sync of all the files and folders across desktop and
+mobile devices for a seamless transition
+ * Zero-knowledge privacy
+ * Client-side encryption to keep the data secure in case your device gets lost
+ * Previous versions of data available with pCloud Rewind which keeps everything
+for 30 days in case you remove anything accidentally
+ * App for Windows, macOS, Linux, iOS, and Android
+
+Finally, if we talk about the plans of pCloud, you have the freedom to choose
+between two different storage types — 500 GB and 2 TB — with either the annual
+or lifetime subscription.
+
+This script repackages AppImage.
+
+Download link is dynamic, so you will need to download app image manually in
+your web browser.
diff --git a/network/pCloudDrive/doinst.sh b/network/pCloudDrive/doinst.sh
new file mode 100644
index 0000000000..4a25de5e6f
--- /dev/null
+++ b/network/pCloudDrive/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/network/pCloudDrive/pCloudDrive.SlackBuild b/network/pCloudDrive/pCloudDrive.SlackBuild
new file mode 100644
index 0000000000..f237ca416d
--- /dev/null
+++ b/network/pCloudDrive/pCloudDrive.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for pCloudDrive
+
+# Copyright 2019 Igor Alexandrov <igora.vault@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pCloudDrive
+VERSION=${VERSION:-1.7.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$(uname -m) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+APPIMGNAM=pcloud
+
+if [ "$ARCH" != "x86_64" -a "$ARCH" != "i586" ]; then
+ echo "$ARCH is not supported for $PRGNAM-$VERSION"
+ exit 1
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $OUTPUT $PKG/{install,opt,usr/{bin,doc/$PRGNAM-$VERSION}}
+cd $PKG/opt
+chmod 755 $CWD/$APPIMGNAM
+$CWD/$APPIMGNAM --appimage-extract
+mv squashfs-root $PRGNAM
+cd $PKG
+mv $PKG/opt/$PRGNAM/usr/share $PKG/usr
+rm -rf $PKG/opt/$PRGNAM/{usr,AppRun,pcloud.png,pcloud.desktop}
+install -D -m 644 -t $PKG/usr/share/applications $CWD/pclouddrive.desktop
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \; -o \
+ \( -perm 700 \) -exec chmod 755 {} \;
+
+find . -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+ln -s ../../opt/$PRGNAM/$APPIMGNAM usr/bin/$PRGNAM
+ln -s ../../../opt/$PRGNAM/LICENSE.electron.txt usr/doc/$PRGNAM-$VERSION
+ln -s ../../../opt/$PRGNAM/LICENSES.chromium.html usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/pCloudDrive/pCloudDrive.info b/network/pCloudDrive/pCloudDrive.info
new file mode 100644
index 0000000000..e785271fdc
--- /dev/null
+++ b/network/pCloudDrive/pCloudDrive.info
@@ -0,0 +1,10 @@
+PRGNAM="pCloudDrive"
+VERSION="1.7.2"
+HOMEPAGE="https://www.pcloud.com"
+DOWNLOAD="https://www.pcloud.com/how-to-install-pcloud-drive-linux.html?download=electron-32"
+MD5SUM="c5dc7d813568926da57b07b948824325"
+DOWNLOAD_x86_64="https://www.pcloud.com/how-to-install-pcloud-drive-linux.html?download=electron-64"
+MD5SUM_x86_64="9c808b309033b9fff8aee1703f4e2883"
+REQUIRES=""
+MAINTAINER="Igor Alexandrov"
+EMAIL="igora.vault@gmail.com"
diff --git a/network/pCloudDrive/pclouddrive.desktop b/network/pCloudDrive/pclouddrive.desktop
new file mode 100644
index 0000000000..a7272366b5
--- /dev/null
+++ b/network/pCloudDrive/pclouddrive.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name=pCloudDrive
+Comment=pCloud Drive Client
+Type=Application
+Exec="pCloudDrive" %U
+Terminal=false
+Icon=pcloud
+Categories=Network;
+StartupWMClass=pcloud
diff --git a/network/pCloudDrive/slack-desc b/network/pCloudDrive/slack-desc
new file mode 100644
index 0000000000..2e0d5dac14
--- /dev/null
+++ b/network/pCloudDrive/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pCloudDrive: pCloudDrive (pCloud client and drive mounter)
+pCloudDrive:
+pCloudDrive: pCloud Drive allows you to use your files in the cloud as if they are
+pCloudDrive: saved locally, but without taking hard disk space.
+pCloudDrive:
+pCloudDrive: pCloud is one of the most secure and easy-to-use cloud storage
+pCloudDrive: services. It's based in Switzerland giving the best level of privacy.
+pCloudDrive: Unlike Dropbox, pCloud gives 10 GB of free cloud storage.
+pCloudDrive:
+pCloudDrive: https://www.pcloud.com/
+pCloudDrive: